| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
tvbuff Struct Reference

Core tvbuff (testy virtual buffer) structure representing a region of packet data, possibly backed lazily. More...

`#include <tvbuff-int.h>`

## Public Attributes
tvbuff_t * | next
const struct tvb_ops * | ops
bool | initialized
unsigned | flags
struct tvbuff * | ds_tvb
const uint8_t * | real_data
unsigned | length
unsigned | reported_length
unsigned | contained_length
unsigned | raw_offset

## Detailed Description

Core tvbuff (testy virtual buffer) structure representing a region of packet data, possibly backed lazily.

## Member Data Documentation

## ◆ contained_length

unsigned tvbuff::contained_length

Number of bytes of this tvbuff's data reported as present in the parent tvbuff from which it was extracted, if applicable. May exceed reported_length if the parent tvbuff's length field indicated more data than was actually available to extract. If this tvbuff was not extracted from a parent, equals reported_length. Must never exceed reported_length.

## ◆ ds_tvb

struct tvbuff* tvbuff::ds_tvb

Pointer to the top-level data-source tvbuff from which this tvbuff ultimately derives.

## ◆ flags

unsigned tvbuff::flags

Bitmask of TVBUFF_* flags describing the state of this tvbuff.

## ◆ initialized

bool tvbuff::initialized

True if this tvbuff has been fully initialized and is safe to access.

## ◆ length

unsigned tvbuff::length

Number of bytes of data actually available from the capture file. Represents the length of the virtual buffer and/or real_data. May be less than reported_length if the packet was truncated by the capture process. Must never exceed reported_length or contained_length.

## ◆ next

tvbuff_t* tvbuff::next

Pointer to the next tvbuff in the chain of tvbuffs for this packet; NULL if last.

## ◆ ops

const struct tvb_ops* tvbuff::ops

Vtable of backing-type-specific operations for this tvbuff.

## ◆ raw_offset

unsigned tvbuff::raw_offset

Byte offset of this tvbuff's data from the beginning of the first real (non-subset) tvbuff in the chain. Computed lazily.

## ◆ real_data

const uint8_t* tvbuff::real_data

Pointer to the underlying raw data for this tvbuff. May be NULL either because this is a zero-length tvbuff, or because the tvbuff was lazily constructed and the backing buffer has not yet been allocated or filled (e.g. before tvb_get_ptr() is first called).

## ◆ reported_length

unsigned tvbuff::reported_length

Number of bytes reported as being present in the original packet or data stream, regardless of how much was actually captured. May exceed length when the packet was captured truncated.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/tvbuff-int.h